%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		five-or-more
Version:	3.32.2
Release:	%mkrel 1
Summary:	GNOME Five or More game
License:	GPLv2+ and GFDL
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Five_or_more
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:  vala-tools
# For help
Requires:	yelp

%description
Five or More is the GNOME port of the once popular Windows game called
Color Lines. The game's objective is to align as often as possible five
or more objects of the same color and shape causing them to disappear.
Play as long as possible, and be #1 in the High Scores!

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install


%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.%{name}*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.%{name}.appdata.xml
%{_datadir}/help

%post
%update_menus &> /dev/null ||:
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%clean_menus &> /dev/null ||:''
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Sun Mar 29 2020 tex - 3.32.2-1pclos2020
- new version

* Sun Mar 22 2020 tex - 3.32.1-1pclos2020
- new version

* Sat Jan 25 2020 tex - 2.32.0-1pclos2020
- create package
